Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jcontrol.ui.wombat
Class DigitalMeter

    java.lang.Object
      jcontrol.ui.wombat.Component
          jcontrol.ui.wombat.DigitalMeter

    public class DigitalMeter

extends Component

Field Summary

Fields inherited from class jcontrol.ui.wombat.Component
`backgroundColor, COLOR_COMPONENT_BACKGROUND, COLOR_COMPONENT_BACKGROUND_HIGHLIGHTED, COLOR_COMPONENT_DARK_SHADOW, COLOR_COMPONENT_FOREGROUND, COLOR_COMPONENT_FOREGROUND_INACTIVE, COLOR_COMPONENT_HIGHLIGHT_SHADOW, COLOR_COMPONENT_LIGHT_SHADOW, COLOR_COMPONENT_LIST_BACKGROUND, COLOR_COMPONENT_NORMAL_SHADOW, COLOR_COMPONENT_SELECTION_TEXT, COLOR_COMPONENT_SELECTION_TEXT_BACKGROUND, COLOR_COMPONENT_SELECTION_TEXT_BACKGROUND_INACTIVE, COLOR_COMPONENT_SELECTION_TEXT_INACTIVE, eventQueue, font, foregroundColor, frame, height, parent, RESERVED1, RESERVED2, RESERVED3, RESERVED4, RESERVED5, RESERVED6, state, STATE_ABORT_UPDATE, STATE_ANIMATED, STATE_BG_COLOR_SET, STATE_COVERED, STATE_DIRTY_MASK, STATE_DIRTY_PAINTALL, STATE_DIRTY_REPAINT, STATE_DIRTY_UPDATE, STATE_DISABLED, STATE_DISPOSED, STATE_FG_COLOR_SET, STATE_FOCUS, STATE_HEIGHT_FIXED, STATE_NO_REDRAW, STATE_REVALIDATE, STATE_SELECTED, STATE_SIZE_FIXED, STATE_UPDATED, STATE_VISIBLE, STATE_WIDTH_FIXED, transparentColor, width, x, y`

Constructor Summary
`DigitalMeter(double value, int x, int y, int width, int height)`

Method Summary
`void` | `paint(XGraphics g)` This method should not be called from the application.
`void` | `setBackgroundColor(Color background)` Sets the background color for this component.
`protected void` | `setBackgroundColorInternal(Color background)`
`void` | `setBounds(int x, int y, int width, int height)` Set the dimensions of this component.
`void` | `setCustomString(String string)`
`void` | `setDecimals(int decimals)`
`void` | `setDigits(int digits)`
`void` | `setFont(Resource font)` Sets the font for this component.
`void` | `setForegroundColor(Color foreground)` Sets the foreground color for this component.
`protected void` | `setForegroundColorInternal(Color foreground)`
`protected void` | `setParametersInternal(Resource font, Color foregroundColor, Color backgroundColor, Color transparentColor)`
`void` | `setValue(double value)`

Methods inherited from class jcontrol.ui.wombat.Component
`drawDisabledImage, getFrame, isEnabled, isVisible, isVisibleInternal, redrawInternalAndParent, repaint, repaintAll, safeExec, setDirty, setEnabled, setRedraw, setTransparentColor, setVisible, unsafeExec, update`

Methods inherited from class java.lang.Object
`clone, equals, getClass, notifyAll, toString, wait`

Constructor Detail

### DigitalMeter

    public DigitalMeter(double value,
                        int x,
                        int y,
                        int width,
                        int height)

Method Detail

### setFont

    public void setFont(Resource font)

  Description copied from class: `Component`
  Sets the font for this component.

  Overrides:
    `setFont` in class `Component`
  Parameters:
    `font` - the new font.

### setCustomString

    public void setCustomString(String string)

### setValue

    public void setValue(double value)

### setDigits

    public void setDigits(int digits)

### setDecimals

    public void setDecimals(int decimals)

### setBackgroundColor

    public void setBackgroundColor(Color background)

  Description copied from class: `Component`
  Sets the background color for this component.

  Overrides:
    `setBackgroundColor` in class `Component`
  Parameters:
    `background` - the background color to set

### setBackgroundColorInternal

    protected void setBackgroundColorInternal(Color background)

  Overrides:
    `setBackgroundColorInternal` in class `Component`

### setForegroundColor

    public void setForegroundColor(Color foreground)

  Description copied from class: `Component`
  Sets the foreground color for this component.

  Overrides:
    `setForegroundColor` in class `Component`
  Parameters:
    `foreground` - the foreground color to set

### setForegroundColorInternal

    protected void setForegroundColorInternal(Color foreground)

  Overrides:
    `setForegroundColorInternal` in class `Component`

### setParametersInternal

    protected void setParametersInternal(Resource font,
                                         Color foregroundColor,
                                         Color backgroundColor,
                                         Color transparentColor)

  Overrides:
    `setParametersInternal` in class `Component`

### setBounds

    public void setBounds(int x,
                          int y,
                          int width,
                          int height)

  Description copied from class: `Component`
  Set the dimensions of this component. The component is repainted automatically.

  Overrides:
    `setBounds` in class `Component`
  Parameters:
    `x` - The x-coordinate of the upper left corner
    `y` - The y-coordinate of the upper left corner
    `width` - The width of this component
    `height` - The height of this component

### paint

    public void paint(XGraphics g)

  Description copied from class: `Component`
  This method should not be called from the application. Paints this component. Here, all drawing action will occur by using the graphics parameter. This method must be overwritten by any extending class. It must not be used by any application.

  Overrides:
    `paint` in class `Component`
  Parameters:
    `g` - the application's graphics object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD